import { html as a } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var v = Object.defineProperty, d = Object.getOwnPropertyDescriptor, n = (p, t, i, r) => {
  for (var e = r > 1 ? void 0 : r ? d(t, i) : t, o = p.length - 1, s; o >= 0; o--)
    (s = p[o]) && (e = (r ? s(t, i, e) : s(e)) || e);
  return r && e && v(t, i, e), e;
};
let l = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--starling", this.class = "c-pieIcon c-pieIcon--starling", this.name = "IconPaymentStarling";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 24 24" class="c-pieIcon c-pieIcon--starling"><path fill="#6935D3" fill-rule="evenodd" d="M12 20.99c-4.977 0-9-4.02-9-8.996A8.989 8.989 0 0 1 12 3c4.977 0 9 4.02 9 8.994a8.989 8.989 0 0 1-9 8.995Z" clip-rule="evenodd"></path><path fill="#fff" fill-rule="evenodd" d="M8.42 11.995v-.5a5.638 5.638 0 0 1 5.633-5.63h.5v2.041h-.5a3.594 3.594 0 0 0-3.59 3.59v.5H8.418Z" clip-rule="evenodd"></path><path fill="#fff" fill-rule="evenodd" d="M15.58 11.994v.5a5.639 5.639 0 0 1-5.633 5.63h-.5v-2.04h.5c1.98 0 3.59-1.611 3.59-3.59v-.5h2.044Z" clip-rule="evenodd"></path></svg>`;
  }
};
n([
  c({ type: String, reflect: !0 })
], l.prototype, "size", 2);
n([
  c({ type: String, reflect: !0 })
], l.prototype, "class", 2);
l = n([
  h("icon-payment-starling")
], l);
export {
  l as IconPaymentStarling
};
